%define dist hepx
Summary: An interpreted, interactive, object-oriented programming language
Name: python
Version: 2.7.18
Release: 12%{?dist}1b
Source: http://www.python.org/ftp/python/%{version}/Python-%{version}.tar.gz
Patch: localhost/%{name}-%{version}-arm64.patch
# info part of this package is under GFDL license
# eigen/nonsymmv.c and eigen/schur.c
# contains rutiens which are part of LAPACK - under BSD style license
License: Python
Group: Development/Languages
Requires: %{name}-libs%{?_isa} = %{version}-%{release}
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: pkgconfig

%description
Python is an interpreted, interactive, object-oriented programming
language often compared to Tcl, Perl, Scheme or Java. Python includes
modules, classes, exceptions, very high level dynamic data types and
dynamic typing. Python supports interfaces to many system calls and
libraries, as well as to various windowing systems (X11, Motif, Tk,
Mac and MFC).

Programmers can write new built-in modules for Python in C or C++.
Python can be used as an extension language for applications that need
a programmable interface.

Note that documentation for Python is provided in the python-docs
package.

This package provides the "python" executable; most of the actual
implementation is within the "python-libs" package.

%package libs
Summary: Runtime libraries for Python
Group: Applications/System

%description libs
This package contains runtime libraries for use by Python:
- the libpython dynamic library, for use by applications that embed Python as
a scripting language, and by the main "python" executable
- the Python standard library

%package devel
Summary: The libraries and header files needed for Python development
Group: Development/Libraries
Requires: %{name}%{?_isa} = %{version}-%{release}

%description devel
The Python programming language's interpreter can be extended with
dynamically loaded extensions and can be embedded in other programs.
This package contains the header files and libraries needed to do
these types of tasks.

Install python-devel if you want to develop Python extensions.  The
python package will also need to be installed.  You'll probably also
want to install the python-docs package, which contains Python
documentation.

%prep
%setup -q
%patch -p1 -b .arm64

%build
./configure --prefix=%{_prefix} --enable-shared --with-system-ffi
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%ifnos darwin
%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files
%ifnos darwin
%defattr(-,root,root,-)
%else
%defattr(-,root,wheel,-)
%endif
%doc Doc LICENCE README
%{_bindir}/*
%exclude %{_bindir}/*-config
%dir %{_libdir}/python2.7
%{_libdir}/python2.7/*
%{_datadir}/man/man1/*

%files libs
%ifnos darwin
%defattr(-,root,root,-)
%else
%defattr(-,root,wheel,-)
%endif
%doc LICENCE README
%ifnos darwin
%{_libdir}/*so.*
%else
%{_libdir}/*.*.dylib
%endif

%files devel
%ifnos darwin
%defattr(-,root,root,-)
%else
%defattr(-,root,wheel,-)
%endif
%doc LICENCE README
%{_bindir}/*-config
%dir %{_includedir}/python2.7
%{_includedir}/python2.7/*


%changelog
* Sun Feb 27 2022 Keisuke Fujii <keisuke.fujii@kek.jp> - 2.7.18-12hepx1b
- 2nd build and release on MacOS X 12
- built with OSXWS 12beta

* Sat Feb 19 2022 Keisuke Fujii <keisuke.fujii@kek.jp> - 2.7.18-12hepx1a
- 1st build and release on MacOS X 12
- built with OSXWS 11
